Loading...
Searching...
No Matches
BALL::VIEW::QuadMesh Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/quadMesh.h>`

Inheritance diagram for BALL::VIEW::QuadMesh:

## Classes

struct | Quadruple

## Public Member Functions

| QuadMesh ()
| QuadMesh (const QuadMesh &mesh)
| Copy constructor.
| ~QuadMesh ()
virtual void | getVertices (vector< Vector3 > &vertices) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
virtual void | clear ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const
Public Member Functions inherited from BALL::VIEW::MultiColorExtension
| MultiColorExtension ()
| MultiColorExtension (const MultiColorExtension &color_extension)
virtual | ~MultiColorExtension ()
virtual void | clear ()
void | set (const MultiColorExtension &color_extension)
const MultiColorExtension & | operator= (const MultiColorExtension &color_extension)
void | swap (MultiColorExtension &color_extension)
void | setColors (const vector< ColorRGBA > &colors)
vector< ColorRGBA > & | getColors ()
const vector< ColorRGBA > & | getColors () const
void | setAlphas (Size alpha)
| Set the alpha values for all colors.
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const

## Public Attributes

vector< Vector3 > | vertex
vector< Vector3 > | normal
vector< Quadruple > | quad
vector< ColorRGBA > | colors

## Detailed Description

QuadMesh class.
An instance of QuadMesh represents an mesh with quadruples.

Definition at line 27 of file quadMesh.h.

## Constructor & Destructor Documentation

## QuadMesh() [1/2]

BALL::VIEW::QuadMesh::QuadMesh | ( |  | ) |

Default Constructor. The properties of this mesh are set to:

- color - to the color black

## QuadMesh() [2/2]

BALL::VIEW::QuadMesh::QuadMesh | ( | const QuadMesh & | mesh | ) |

Copy constructor.

## ~QuadMesh()

BALL::VIEW::QuadMesh::~QuadMesh | ( |  | ) |

inline

Definition at line 58 of file quadMesh.h.

## Member Function Documentation

## getVertices()

virtual void BALL::VIEW::QuadMesh::getVertices | ( | vector< Vector3 > & | vertices | ) | const

inline virtual

Definition at line 61 of file quadMesh.h.

## Member Data Documentation

## normal

vector<Vector3> BALL::VIEW::QuadMesh::normal

Definition at line 68 of file quadMesh.h.

## quad

vector<Quadruple> BALL::VIEW::QuadMesh::quad

Definition at line 69 of file quadMesh.h.

## vertex

vector<Vector3> BALL::VIEW::QuadMesh::vertex

The colors belonging to each vertex. If this list has less entries than there are vertices in this mesh, we take the first element to color the whole mesh. If it is empty, we use the color white.

Definition at line 67 of file quadMesh.h.